Skip to main content
`Ctrl`+`K`

# PetscQuadrature

Quadrature rule for numerical integration.

## Synopsis

    typedef struct _p_PetscQuadrature *PetscQuadrature;

## See Also

`PetscQuadratureCreate()`, `PetscQuadratureDestroy()`

## Level

beginner

## Location

include/petscdt.h

## Examples

src/snes/tutorials/ex64.c
src/ksp/ksp/tutorials/ex35.cxx
src/ts/tutorials/ex18.c
src/snes/tutorials/ex62.c
src/snes/tutorials/ex23.c
src/ts/tutorials/ex53.c
src/ksp/ksp/tutorials/ex70.c
src/dm/field/tutorials/ex1.c
src/ksp/ksp/tutorials/ex36.cxx

## Implementations

_p_PetscQuadrature in include/petsc/private/dtimpl.h

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages